View Issue Details

IDProjectCategoryView StatusLast Update
0001096bareos-core[All Projects] webuipublic2021-06-28 15:22
ReporterjoergsAssigned Tofrank 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version18.2.6 
Fixed in Version 
Summary0001096: webui: when login as a console user without the "TLS Enable = false" setting, a misleading error message will be soon.
DescriptionWhen try to login to the WebUI as a console user without the "TLS Enable = false" setting, a following misleading error message will be soon:

Sorry, can not authenticate. Wrong username and/or password.

In this case, it can be expected that the user will retry user and password.
However, he will never be successful, as the "TLS Enable = false" setting is missing.

A better error message would be:

Sorry, can not authenticate. TLS Handshake failed.
Steps To ReproduceCreate a user without the "TLS Enable = false" setting using the bconsole:
* configure add console=test1 password=secret profile=webui-admin

Login to the WebUI as user test1
TagsNo tags attached.
bareos-master: impactyes
bareos-master: action
bareos-19.2: impact
bareos-19.2: action
bareos-18.2: impactyes
bareos-18.2: action
bareos-17.2: impactno
bareos-17.2: action
bareos-16.2: impactno
bareos-16.2: action
bareos-15.2: impactno
bareos-15.2: action
bareos-14.2: impactno
bareos-14.2: action
bareos-13.2: impactno
bareos-13.2: action
bareos-12.4: impactno
bareos-12.4: action

Activities

frank

frank

2021-06-28 15:22

manager   ~0004162

Fix committed to bareos master branch with changesetid 15004.

Related Changesets

bareos: master 471fa27c

2021-06-16 14:03:59

frank

Ported: N/A

Details Diff
webui: provide a better error message on login failure

The error message on login failure should give a hint
when you try to login with a console user having the
"TLS Enable = false" parameter not set.

Fixes 0001096: misleading error message
Affected Issues
0001096
mod - webui/module/Auth/src/Auth/Controller/AuthController.php Diff File

Issue History

Date Modified Username Field Change
2019-07-02 21:42 joergs New Issue
2019-07-02 21:44 joergs Status new => confirmed
2019-07-02 21:44 joergs bareos-master: impact => yes
2019-07-02 21:44 joergs bareos-18.2: impact => yes
2019-07-02 21:44 joergs bareos-17.2: impact => no
2019-07-02 21:44 joergs bareos-16.2: impact => no
2019-07-02 21:44 joergs bareos-15.2: impact => no
2019-07-02 21:44 joergs bareos-14.2: impact => no
2019-07-02 21:44 joergs bareos-13.2: impact => no
2019-07-02 21:44 joergs bareos-12.4: impact => no
2021-04-29 10:36 frank Assigned To => frank
2021-04-29 10:36 frank Status confirmed => assigned
2021-06-28 15:22 frank Changeset attached => bareos master 471fa27c
2021-06-28 15:22 frank Note Added: 0004162
2021-06-28 15:22 frank Status assigned => resolved
2021-06-28 15:22 frank Resolution open => fixed